POSTFIX(1)

NAME
postfix - Postfix control program

SYNOPSIS
postfix [-c config_dir] [-D] [-v] command

DESCRIPTION
This command is reserved for the super-user. To submit mail, use the Postfix sendmail command. The postfix command controls the operation of the Postfix mail system: start or stop the master daemon, do a health check, and other maintenance. The postfix command sets up a standardized environment and runs the postfix-script shell script to do the actual work. The following commands are implemented:

check
    Validate the Postfix mail system configuration. Warn about bad directory/file ownership or permissions, and create missing directories.

start
    Start the Postfix mail system. This also runs the configuration check described above.

stop
    Stop the Postfix mail system in an orderly fashion. Running processes are allowed to terminate at their earliest convenience.

    Note: in order to refresh the Postfix mail system after a configuration change, do not use the start and stop commands in succession. Use the reload command instead.

abort
    Stop the Postfix mail system abruptly. Running processes are signaled to stop immediately.

flush
    Force delivery: attempt to deliver every message in the deferred mail queue. Normally, attempts to deliver delayed mail happen at regular intervals, the interval doubling after each failed attempt.

reload
    Re-read configuration files. Running processes terminate at their earliest convenience.

The following options are implemented:

-c config_dir
    Read the main.cf and master.cf configuration files in the named directory instead of the default configuration directory. Use this to distinguish between multiple Postfix instances on the same host.

-D (with postfix start only)
    Run each Postfix daemon under control of a debugger as specified via the debugger_command configuration parameter.

-v  Enable verbose logging for debugging purposes. Multiple -v options make the software increasingly verbose.

ENVIRONMENT
The postfix command sets the following environment variables:

MAIL_CONFIG
    Directory with Postfix configuration files.

MAIL_VERBOSE
    This is set when the -v command-line option is present.

MAIL_DEBUG
    This is set when the -D command-line option is present.

CONFIGURATION PARAMETERS
The following main.cf configuration parameters are made available as process environment variables with the same names:

command_directory
    Directory with Postfix administrative commands.

daemon_directory
    Directory with Postfix daemon programs.

config_directory
    Directory with Postfix configuration files and with administrative shell scripts.

queue_directory
    The directory with Postfix queue files, with local inter-process communication endpoints, and with files needed for daemon programs that run in the optional chrooted environment.

mail_owner
    The owner of Postfix queue files and of most Postfix processes.

setgid_group
    The group for mail submission and queue management commands.

sendmail_path
    The full pathname for the Postfix sendmail command.

newaliases_path
    The full pathname for the Postfix newaliases command.

mailq_path
    The full pathname for the Postfix mailq command.

manpage_directory
    The directory for the Postfix on-line manual pages.

sample_directory
    The directory for the Postfix sample configuration files.

readme_directory
    The directory for the Postfix README files.

Other configuration parameters

import_environment
    List of names of environment parameters that can be imported from non-Postfix processes.

FILES
$config_directory/postfix-script, administrative commands
$config_directory/main.cf, configuration parameters
$config_directory/master.cf, Postfix daemon processes

SEE ALSO
master(8) Postfix master program

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA